TI WooCommerce Wishlist WP Plugin Flaw Could Allow Site Takeovers

One more vulnerable WordPress plugin requires immediate attention from the users. This time, the flaw appeared in the TI WooCommerce

Read more

Vulnerabilities Found In Post Grid And Team Showcase WordPress Plugins

Another heads up for WordPress admins. Two more WordPress plugins, Post Grid and Team Showcase have serious security vulnerabilities. Patches

Read more

More Bugs Discovered In Discount Rules for WooCommerce Plugin

It hasn’t been long since we heard of multiple security bugs in the Discount Rules for WooCommerce Plugin. Yet, recently,

Read more

Email Subscribers & Newsletters WP Plugin Flaw Could Allow Email Spoofing

One more vulnerable WordPress plugin needs attention. This time, the flaw appeared in the Email Subscribers & Newsletters plugin by

Read more

File Manager WordPress Plugin Zero-Day Vulnerability Risked Thousands Of Websites

Heads up, WordPress admins! Another vulnerable WordPress plugin might have exposed your website to cyber threats. Reportedly, the File Manager

Read more

Numerous Vulnerabilities Found In Discount Rules for WooCommerce Plugin

Recently, the Discount Rules for WooCommerce Plugin has made it to the news owing to multiple vulnerabilities. Exploiting these flaws

Read more

Quiz And Master Survey WP Plugin Vulnerabilities Allowed Site Takeover

Critical vulnerabilities existed in the Quiz and Master Survey plugin that threatened thousands of websites. Exploiting the flaw could allow

Read more

Critical Security Vulnerability Existed in wpDiscuz WordPress Plugin

Once again, a critical security flaw in a WordPress plugin posed a threat to thousands of websites. This time, the

Read more

Hackers Target Over A Million WordPress Sites To Steal Credentials

Researchers caught a recent malicious campaign targeting more than a million WordPress websites. As discovered, the hackers targeted all these

Read more

PageLayer WordPress Plugin Vulnerabilities Risked Over 200K Websites

Continuing with the trail of vulnerable plugins, now joins PageLayer. Researchers found some serious vulnerabilities in PageLayer WordPress plugin that

Read more
Do NOT follow this link or you will be banned from the site!